/**************************************************************************
 * FRMVPRTF.C - frm_vprintf() function.
 *************************************************************************/

#include "gemfintl.h"
#include <string.h>

char	*_Frmaddmsg = NULL; 	/* hook for frm_error() to add a message */

/**************************************************************************
 *
 *************************************************************************/

short frm_vprintf(options, buttons, fmt, args)
	long			options;
	register char	*buttons;
	register char	*fmt;
	va_list 		args;
{
	short	status;
	short	position;
	char	*msgbuf;

	msgbuf = _FrmVFormat(fmt, args, &position);

	if (_Frmaddmsg != NULL && position != -1) {
		strcpy(&msgbuf[position], _Frmaddmsg);
		_Frmaddmsg = NULL;
	}

	status = frm_nldialog(options, buttons, msgbuf);

	_FrmVFree(msgbuf);

	return status;
}

 